Don’t install Ubuntu 9.10 if you want a stable KDevelop

November 10, 2009 at 10:45 pm | Posted in KDevelop | 51 Comments

First note: This is a bit of a rant, so be prepared 🙂

It seems that Ubuntu has reached another sad milestone on their way to the worst distribution ever.

Someone there thought its a cool idea to ship KDevelop4 Beta5 with a stable Ubuntu release.

What angers me most about this is that this not only hurts Ubuntu – I couldn’t care less about that – it hurts KDevelop and it also hurts me and other people trying to get KDevelop’s bugs under control. I’ve closed the 20th or so duplicate right now about a bug thats been in beta5 and has been fixed since weeks. Its a bug that’ll not be in the final release of KDevelop4, but its a bug I’ll probably get to see again and again in bugzilla for quite some time.

I never liked Ubuntu, but this really is a new level of broken packaging.

As final word something constructive: If you are running Ubuntu 9.10 either consider compiling kdevelop and kdevplatform from sources or report bugs you encounter with the Ubuntu kdevelop package to Ubuntu, not to KDE’s bugzilla even if thats what the Crash dialog suggests to you.

Blog at WordPress.com.
Entries and comments feeds.